Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ResizableCompartmentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gef.editpolicies.ResizableEditPolicy
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
                                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableCompartmentEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class ResizableCompartmentEditPolicy
extends ResizableEditPolicyEx

A resizable editpolicy for resizable compartments. The editpolicy could be vertical or horizontal

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ResizableCompartmentEditPolicy()` Creates a new vertical ResizableCompartmentEditPolicy
`ResizableCompartmentEditPolicy(boolean horizontal)` creates a new ResizableCompartmentEditPolicy with the given orientation

Method Summary
`void` `activate()`
`protected void` `addSelectionListener()`
`protected java.util.List` `createCollapseHandles()` This method is used to get the collapse handle(s).
`protected java.util.List` `createSelectionHandles()`
`protected Command` `getResizeCommand(ChangeBoundsRequest request)`
`protected void` `hideSelection()`
`protected boolean` `isHorizontal()`
`protected void` `removeSelectionListener()`
`protected void` `setSelectedState()` Determine the select state of the policy based on: 1- The select state of the compartment editpart 2- The select state of the parent graphic editpart 3- The visibility state of the compartment editpart
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request.
`protected void` `showSelection()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, getTargetEditPart, replaceHandleDragEditPartsTracker, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy
`getCommand, getResizeDirections, setResizeDirections, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`createDragSourceFeedbackFigure, deactivate, eraseChangeBoundsFeedback, getAlignCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`getAdapter, removeSelectionHandles`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResizableCompartmentEditPolicy

    public ResizableCompartmentEditPolicy()

  Creates a new vertical ResizableCompartmentEditPolicy

### ResizableCompartmentEditPolicy

    public ResizableCompartmentEditPolicy(boolean horizontal)

  creates a new ResizableCompartmentEditPolicy with the given orientation

Parameters:
  `horizontal` -

Method Detail

### isHorizontal

    protected boolean isHorizontal()

  Returns:
    Whether the editpolicy is horizontal

### createCollapseHandles

    protected java.util.List createCollapseHandles()

  This method is used to get the collapse handle(s). Subclasses can override to provide different collapse handles

  Returns:
    a list of collapse handles

### createSelectionHandles

    protected java.util.List createSelectionHandles()

  See Also:
    `SelectionHandlesEditPolicy.createSelectionHandles()`

### showSelection

    protected void showSelection()

  See Also:
    `SelectionEditPolicy.showSelection()`

### hideSelection

    protected void hideSelection()

  See Also:
    `SelectionEditPolicy.hideSelection()`

### activate

    public void activate()

### addSelectionListener

    protected void addSelectionListener()

  See Also:
    `SelectionEditPolicy.addSelectionListener()`

### removeSelectionListener

    protected void removeSelectionListener()

  See Also:
    `SelectionEditPolicy.removeSelectionListener()`

### setSelectedState

    protected void setSelectedState()

  Determine the select state of the policy based on: 1- The select state of the compartment editpart 2- The select state of the parent graphic editpart 3- The visibility state of the compartment editpart

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Description copied from class: `ResizableEditPolicyEx`
  Shows or updates feedback for a change bounds request. This method had been overriden to make sure that the feed back never go below the min size also it make sure it never exceed the max size

  Overrides:
    `showChangeBoundsFeedback` in class `ResizableEditPolicyEx`
  Parameters:
    `request` - the request
  See Also:
    `NonResizableEditPolicy.showChangeBoundsFeedback(org.eclipse.gef.requests.ChangeBoundsRequest)`

### getResizeCommand

    protected Command getResizeCommand(ChangeBoundsRequest request)

  See Also:
    `ResizableEditPolicy.getResizeCommand(org.eclipse.gef.requests.ChangeBoundsRequest)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.